package com.copy.trade.service;

import com.copy.trade.entity.form.StatisticsDataForm;
import com.copy.trade.entity.form.TraderDataQueryForm;
import com.copy.trade.entity.po.StatisticsData;
import com.copy.trade.entity.po.TraderData;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 统计数据表 服务类
 * </p>
 *
 * @author wz
 * @since 2022-11-29
 */
public interface IStatisticsDataService extends IService<StatisticsData> {

    Boolean statisticsByDay();
    
    Boolean statisticsByDayNew();

    public Boolean edit(List<StatisticsDataForm> statisticsDataForms);
    
    List<StatisticsData> traderDataList(Long traderId);
    
    void updateMaxDateDate(Long traderId,BigDecimal yield14);
}
